PropertyPrinter (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.config
Class PropertyPrinter

    java.lang.Object
      org.apache.log4j.config.PropertyPrinter

All Implemented Interfaces:
  PropertyGetter.PropertyCallback

    public class PropertyPrinter

extends Object
implements PropertyGetter.PropertyCallback

Prints the configuration of the log4j default hierarchy (which needs to be auto-initialized) as a propoperties file on a `PrintWriter`.

Author:
  Anders Kristensen

Field Summary
`protected Hashtable` | `appenderNames`
`protected boolean` | `doCapitalize`
`protected Hashtable` | `layoutNames`
`protected int` | `numAppenders`
`protected PrintWriter` | `out`

Constructor Summary
`PropertyPrinter(PrintWriter out)`
`PropertyPrinter(PrintWriter out, boolean doCapitalize)`

Method Summary
`static String` | `capitalize(String name)`
`void` | `foundProperty(Object obj, String prefix, String name, Object value)`
`protected String` | `genAppName()`
`protected boolean` | `isGenAppName(String name)` Returns true if the specified appender name is considered to have been generated, that is, if it is of the form A[0-9]+.
`static void` | `main(String[] args)`
`void` | `print(PrintWriter out)` Prints the configuration of the default log4j hierarchy as a Java properties file on the specified Writer.
`protected void` | `printOptions(PrintWriter out, Category cat)`
`protected void` | `printOptions(PrintWriter out, Logger cat)`
`protected void` | `printOptions(PrintWriter out, Object obj, String fullname)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### numAppenders

    protected int numAppenders

### appenderNames

    protected Hashtable appenderNames

### layoutNames

    protected Hashtable layoutNames

### out

    protected PrintWriter out

### doCapitalize

    protected boolean doCapitalize

Constructor Detail

### PropertyPrinter

    public PropertyPrinter(PrintWriter out)

### PropertyPrinter

    public PropertyPrinter(PrintWriter out,
                           boolean doCapitalize)

Method Detail

### genAppName

    protected String genAppName()

### isGenAppName

    protected boolean isGenAppName(String name)

  Returns true if the specified appender name is considered to have been generated, that is, if it is of the form A[0-9]+.

### print

    public void print(PrintWriter out)

  Prints the configuration of the default log4j hierarchy as a Java properties file on the specified Writer.

  N.B. print() can be invoked only once!

### printOptions

    protected void printOptions(PrintWriter out,
                                Category cat)

  Since:
    1.2.15

### printOptions

    protected void printOptions(PrintWriter out,
                                Logger cat)

### printOptions

    protected void printOptions(PrintWriter out,
                                Object obj,
                                String fullname)

### foundProperty

    public void foundProperty(Object obj,
                              String prefix,
                              String name,
                              Object value)

  Specified by:
    `foundProperty` in interface `PropertyGetter.PropertyCallback`

### capitalize

    public static String capitalize(String name)

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.